
{: test that a compilation error occurs when getTimeStamp() is called with
   incorrect arguments }

program e1012( output );


type timeStamp = packed record
                    year: integer;
                    dateValid,
                    timeValid: boolean;
                    month: 1..12;
                    day:  0..31;
                    hour: 0..23;
                    minute: 0..59;
                    second: 0..60;
                    day_of_week: 1..7;
                    isdst: boolean;
                 end;

var
   t : timeStamp; { new declaration of timeStamp }


begin { e1012 }

   getTimeStamp(); { !!! no timestamp }
   writeln( 'getTimeStamp error  not detected' );
end. { e1012 }

